//
//  ViewController.m
//  给图片置灰
//
//  Created by XinHuiOS on 2019/8/15.
//  Copyright © 2019 XinHuiOS. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()


@property (weak, nonatomic) IBOutlet UIImageView *outPutImageView;


@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIImage * image =[UIImage imageNamed:@"girl.jpg"];
    
    //将图片置灰
    int bitmapInfo = kCGImageAlphaNone;
    int width      = image.size.width;
    int height     = image.size.height;
                                  //调整这个参数可以设置不同的值
    CGColorSpaceRef colorSpace = CGColorSpaceCreateDeviceGray();
    CGContextRef  context      = CGBitmapContextCreate(nil, width, height, 8, 0, colorSpace, bitmapInfo);
    CGColorSpaceRelease(colorSpace);
    
    
    CGContextDrawImage(context,CGRectMake(0,0,width,height), image.CGImage);
    UIImage * grayImage =[UIImage imageWithCGImage:CGBitmapContextCreateImage(context)];
    CGContextRelease(context);
    
    self.outPutImageView.image = grayImage;

}


@end
